GET_SUPER_THAWED(9)

NAME
get_super_thawed - get thawed superblock of a device

SYNOPSIS

struct super_block * get_super_thawed(struct block_device * bdev);

ARGUMENTS

bdev
    device to get the superblock for

DESCRIPTION

Scans the superblock list and finds the superblock of the file system mounted on the device. The superblock is returned once it is thawed (or immediately if it was not frozen). NULL is returned if no match is found.

COPYRIGHT